@keyframes slide-in {
    from {
        transform: translateX(-25px);
        opacity: 0;
    }
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slide-up {
    from {
        transform: translateY(25px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}
  
::-webkit-scrollbar-track {
    background-color: var(--dark-color);
    border: var(--border);
    border-top: none;
    border-bottom: none;
}
  
::-webkit-scrollbar-thumb {
    background-color: var(--main-color);
    border: var(--border);
    border-top: none;
    border-bottom: none;
}

a {
    text-decoration: none;
    color: var(--text-color);
}

.mode {
    margin-left: auto;
    display: flex;
    gap: 10px;
    align-items: center;
}


* {
    box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: 70px;
}

:root {
    --primary-color: #050505;
    --background-color: #000000;
    --secondary-color: #ece5dd;
    --hover-color: #0a0a0a;
    --accent-color: #f54e0c;
    --text-color: #fcf8f5;
    --secondary-text-color: #aaa8a7;
    --border-color: #5a5859;
    --padding: 1em;
    --text-font: 'ZT', sans-serif;
    --title-font: 'ZT', sans-serif;
    --border: 1px solid var(--border-color);
}

@font-face {
    font-family: 'ZT';
    src: url(../fonts/ZT_Nature_Variable-VF.ttf) format('truetype');
    font-weight: normal; /* normal */
    font-style: normal;
}

body {
    background-color: var(--background-color);
    color: var(--text-color);
    font-family: var(--text-font);
    margin: 0;
    padding: 0;
    font-size: medium;
}

h1, h2, h3 {
    font-family: var(--title-font);
    font-weight: 600;
    margin: 0;
}


p {
    margin: 0;
}

.content {
    display: flex;
    flex-direction: column;
    padding: 2em 3em;
}

.hero {
    height: fit-content;
    display: flex;
    justify-content: start;
    align-items: center;
}

.projects {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
}


.row {
    display: flex;
    flex-direction: row;
    gap: 0.5em;
}

.row.contact {
    margin-top: auto;
    justify-content: end;
}

.projects .row {
    display: flex;
    flex-direction: row;
    max-width: 100%;
    gap: 0.5em;
}

.projects .row:last-child {
    border-bottom: none;
}

.projects .row .col .cover {
    height: 100%;
    overflow: hidden;
    min-height: 20em;
    justify-content: center;
    align-items: center;
    display: flex;
    margin-bottom: 1em;
    border-radius: 0.5em;
}

.cover img, .cover video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all .3s ease;
    justify-content: center;
    align-items: center;
    display: flex;
}

.row .tags {
    gap: 0.5em;
    background-color: transparent;
    margin-top: 1em;
}

.section-title {
    text-align: end;
    padding: 0.5em;
    font-size: 2em;
}

.tag {
    font-size: 0.85em;
    font-family: var(--text-font);
    background-color: var(--text-color);
    color: var(--primary-color);
    padding: 0.25em 0.7em;
    width: fit-content;
    border-radius: 20em;
}

.projects .row .col {
    position: relative;
    flex: 1;
    display: flex;
    flex-direction: column;
    transition: all .2s ease;
    border-radius: 1em;
    overflow: hidden;
    padding: 0.5em;
}

.video-indicator {
    position: absolute;
    top: 0%;
    left: 0%;
    font-size: 1.5em;
    color: var(--text-color);
    pointer-events: none;
    z-index: 2;
    padding: 0.2em 0.5em;
    background-color: var(--primary-color);
    border-right: var(--border);
    border-bottom: var(--border);
    color: var(--secondary-text-color);
}

b, strong {
    font-weight: 600 !important; 
}

.video-indicator i {
    transition: all .1s ease;
}

.projects .row .col p{
    color: var(--secondary-text-color);
}

.projects .row .col .main{
    font-size: large;
    color: var(--secondary-text-color);
}

.projects .row .col:last-child {
    border-right: none;
}
.projects .row .col:hover {
    background-color: var(--hover-color);
    cursor: pointer;
}

.projects .row .col:hover img{
    transform: scale(1.02);
}

.projects .row .col .text {
    display: flex;
    flex-direction: column;
    padding: 1em;
    padding-top: 0;
}

.projects .row .col .project-title {
    font-family: var(--title-font);
    font-size: x-large;
    text-align: start;
}

p {
    height: fit-content !important;
}

.hero-text {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    text-align: center;
    font-size: 15em;
    overflow: hidden;
    font-weight: 500;
}

.hero-text p:last-child {
    margin-top: -.3em;
}

.hero-text .signature {
    font-size: 5em;
    font-family: 'Aerosoldier';
}

.hero-text .symbol {
    font-size: 4em;
    font-family: 'Aerosoldier-Symbol';
}

.navbar {
    display: flex;
    width: 100%;
    align-items: center;
    padding: 0.5em 1em;
    z-index: 1000;
    top: 0.5em;
    right: 0.5em;
    justify-content: end;
}


.navbar a{
    text-decoration: none;;
    padding: 0;
    margin: 0;
    height: fit-content;
}

.nav-links {
    font-family: var(--text-font);
    text-decoration: none;
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
}

.nav-links li{
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: row;
    padding: 0.5em 1.2em;
    gap: 0.35em;
    transition: all 0.2s ease;
    cursor: pointer;
}

i{
    transition: all 0.2s ease;
}

.button {
    border-radius: 25em;
    background-color: var(--text-color);
    color: var(--primary-color);
    cursor: pointer;
    border: none;
}

.button.sec {
    background-color: transparent;
    color: var(--text-color);
    transition: all 0.2s ease;
}

.button.sec:hover {
    background-color: var(--hover-color);
}

.button a{
    color: var(--primary-color) !important;
}

button {
    padding: 0.5em 2em;
    width: fit-content;
    font-family: var(--text-font);
    font-size: 1em;
    gap: 0.3em;
    display: flex;
}

.nav-links li a {
    font-size: 0.9em;
    color: var(--text-color);
    transition: all .1s ease-in-out;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: row;
}

.nav-links li:hover i, button:hover i {
    transform: translateX(5px); ;
}

.nav-links #contact-button:hover i {
    transform: rotate(90deg);
}

#contact {
    justify-content: center;
    display: flex;
}

.footer {
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: end;
    padding: 1em 3em;
    color: var(--secondary-text-color);
    overflow: hidden;
    height: max-content;
    padding-bottom: 3em;
    margin-top: 5em;
}

.footer h1 {
    font-size: 20em;
}

.footer .row {
    display: flex;
    flex-direction: row;
    gap: 1em;
}

.footer .symbol {
    font-family: 'Aerosoldier-Symbol';
    font-size: 2em;
    z-index: -1;
    position: absolute;
    opacity: 0.1;
    left: 0px;
}

form {
    display: flex;
    flex-direction: row;
    gap: 1em;
    width: 80%;
}

form .col {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
    flex: 1;
}

input, textarea {
    border: var(--border);
    padding: 0.7em 1em;
    background-color: var(--background-color);
    color: var(--text-color);
    border-radius: 0.7em;
    outline: none;
    font-family: var(--text-font);
    font-size: 1em;
    transition: all 0.2s ease;
}

input:focus, textarea:focus {
    background-color: var(--hover-color);
    transition: all 0.2s ease;
}

.message-body {
    height: 16em;
    resize: none;
    padding: 1em;
    font-family: var(--text-font);
    font-size: 1em;
    width: 100%;
}

label {
    padding-left: 0.2em;
}
